// <script>

// Copyright (C) 2005 Ilya S. Lyubinskiy. All rights reserved.
// Technical support: http://www.php-development.ru/
//
// YOU MAY NOT
// (1) Remove or modify this copyright notice.
// (2) Distribute this code, any part or any modified version of it.
//     Instead, you can link to the homepage of this code:
//     http://www.php-development.ru/javascripts/smart-forms.php.
//
// YOU MAY
// (1) Use this code on your website.
// (2) Use this code as a part of another product provided that
//     its main use is not creating javascript menus.
//
// NO WARRANTY
// This code is provided "as is" without warranty of any kind, either
// expressed or implied, including, but not limited to, the implied warranties
// of merchantability and fitness for a particular purpose. You expressly
// acknowledge and agree that use of this code is at your own risk.

// If you find my script useful, you can support my site in the following ways:
// 1. Vote for the script at HotScripts.com (you can do it on my site)
// 2. Link to the homepage of this script or to the homepage of my site:
//    http://www.php-development.ru/javascripts/smart-forms.php
//    http://www.php-development.ru/
//    You will get 50% commission on all orders made by your referrals.
//    More information can be found here:
//    http://www.php-development.ru/affiliates.php

/*
参数说明:

at_attach(parent, child, showtype, position, cursor)

    *

      parent - 可见的HTML元素id
    *

      child - 隐藏的、鼠标经过时显示的HTML元素id
    *

      showtype - "click" 或 "hover"- 内容显示的事件动作类型.
    *

      position - "x" 或 "y"- 显示的内容分右边还是下边.
    *

      cursor: CSS鼠标显示样式. 
    */
// ----- Popup Control ---------------------------------------------------------
function at_attach(parent, child, showtype, position, cursor,eventStr,x,y)
{
    // ----- Attach start-----

    // PARAMETERS:
    // parent   - id of visible html element
    // child    - id of invisible html element that will be dropdowned
    // showtype - "click" = you should click the parent to show/hide the child
    //            "hover" = you should place the mouse over the parent to show
    //                      the child
    // position - "x" = the child is displayed to the right of the parent
    //            "y" = the child is displayed below the parent
    // cursor   - Omit to use default cursor or check any CSS manual for possible
    //            values of this field


      try
      {
          p = document.getElementById(parent);
          c = document.getElementById(child);
          p["at_parent"]     = p.id;
          c["at_parent"]     = p.id;
          p["at_child"]      = c.id;
          c["at_child"]      = c.id;
          p["at_position"]   = position;
          c["at_position"]   = position;

          c.style.position   = "absolute";
          c.style.visibility = "hidden";

          if (cursor != undefined) p.style.cursor = cursor;

          switch (showtype)
          {
            case "click":
              p.onclick     = at_click;
              p.onmouseout  = at_hide;
              c.onmouseover = at_show;
              c.onmouseout  = at_hide;
              break;
            case "hover":
              p.onmouseover = at_show;
              p.onmouseout  = at_hide;
              c.onmouseover = at_show;
              c.onmouseout  = at_hide;
              break;
            case "click1"://gcy
              p.onclick     = at_click;
              p.onmouseout  = at_hide;
              c.onmouseover = at_show;
              //c.onmouseout  = at_hide;
              break;
          }
      }catch(e){
      }
    // ----- Attach end-----
    
    function at_display(x)
    {
      try{
          win = window.open();
          for (var i in x) win.document.write(i+' = '+x[i]+'<br>');
      }
      catch(e){
      }
    }

    // ----- Show Aux -----

    function at_show_aux(parent, child)
    {
      try{
          var p = document.getElementById(parent);
          var c = document.getElementById(child);

          var top  = (c["at_position"] == "y") ? p.offsetHeight+1 : 0;
          var left = (c["at_position"] == "x") ? p.offsetWidth +1 : 0;

          for (; p; p = p.offsetParent)
          {
            top  += p.offsetTop;
            left += p.offsetLeft;
          }
          if (x!=null)
            left += x;
          if (y!=null)
            top += y;
          c.style.position   = "absolute";
          c.style.top        = top +'px';
          c.style.left       = left+'px';
          c.style.visibility = "visible";
          
          
      }
      catch(e){
      }   
          try{ 
              //外部事件
              if (eventStr!=null)
              {
                    if (eventStr.length>0)
                        eval(eventStr);
              }
          }
          catch(e){
          }     
    }

    // ----- Show -----

    function at_show()
    {
      try
      {
          p = document.getElementById(this["at_parent"]);
          c = document.getElementById(this["at_child" ]);

          at_show_aux(p.id, c.id);

          clearTimeout(c["at_timeout"]);
      }
      catch(e)
      {
      }    
    }

    // ----- Hide -----

    function at_hide()
    {
      try
      {
          c = document.getElementById(this["at_child"]);
          c["at_timeout"] = setTimeout("document.getElementById('"+c.id+"').style.visibility = 'hidden'", 333);
      }
      catch(e)
      {
      }
    }

    // ----- Click -----

    function at_click()
    {
      try
      {
          p = document.getElementById(this["at_parent"]);
          c = document.getElementById(this["at_child" ]);

          if (c.style.visibility != "visible") at_show_aux(p.id, c.id);
          else c.style.visibility = "hidden";
      }
      catch(e)
      {
      }
      return false;
    }
    
      
}
